import java.awt.*;

public class korunka extends java.applet.Applet implements Runnable {

   Thread timer = null;
   int krok = 1;

   public void kresli (int x0, int y0, int r, int krok, Graphics g) {
      double ovalita = 0.3;
      int vyska = 30,
          pocet = 5;

      for (int n=1; n<360; n++) {
         double x1=r*Math.cos(3.14159*(n-1)/180);
         double y1=r*Math.sin(3.14159*(n-1)/180)*ovalita;
         double x2=r*Math.cos(3.14159*n/180);
         double y2=r*Math.sin(3.14159*n/180)*ovalita;
         double vlna1=vyska*Math.sin((n-1+krok)*pocet*3.14159/180);
         double vlna2=vyska*Math.sin((n+krok)*pocet*3.14159/180);
         g.drawLine(x0+(int)x1,y0+(int)y1+(int)vlna1,x0+(int)x1,y0+(int)y2+(int)vlna2);
      }
   }

   public void paint(Graphics g) {
      g.setColor(getBackground());
      kresli(size().width/2,size().height/2,100,krok-1,g);
      g.setColor(Color.blue);
      kresli(size().width/2,size().height/2,100,krok,g);
      if (krok<361) krok++; else krok=1;
   }

   public void start() {
      if (timer==null) {
         timer=new Thread(this);
         timer.start();
      }
   }

   public void stop() {
      timer=null;
   }

   public void run() {
      while (timer!=null) {
         try {Thread.sleep(10);} catch (InterruptedException e){}
         repaint();
      }
      timer=null;
   }

   public void update(Graphics g) {
      paint(g);
   }

}
   
